Subject: Re: bug#31904: 27.0.50; Emacs doesn't render text/modeline Mac OSX 10.14 Mojave

From: Alan Third <[email-masked]>
Date: Wed, 20 Jun 2018 20:00:17 +0100

On Tue, Jun 19, 2018 at 04:09:03PM -0700, [email-masked] wrote:
> 
> 
> Emacs from the master branch compiles on Mac OS 10.14 (Developer Beta 1
> and 2) just fine, but when I run the resulting Emacs.app, none of the
> text or even the mode-line appears in the frame.
> 
> - If I "select" the text in the scratch buffer, I see nothing, but I can
>   then paste it into another application just fine.
> 
> - If I type something in the scratch buffer, I can't see it. I can
>   select it (but not see the region), copy it, and paste it into another
>   application and see the text I've typed.
> 
> - The mode-line isn't rendered, either.
> 
> - Running Emacs.app/Contents/MacOS/Emacs -nw in a terminal window works
>   fine.
>   
> The application seems to be working in all particulars except the text
> is invisible (not the same color as the background, just not there).

I can see how this might be less than ideal.

Can you please recompile and send the output? I expect there are a few
deprecation notices, perhaps one of them will give us a hint as to
what’s going on here.
-- 
Alan Third